Bug 1787508 - blivet.errors.FormatSetupError: invalid device specification
Summary: blivet.errors.FormatSetupError: invalid device specification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blivet-gui
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0abb12bc4d322e72cfa3d1948dc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-03 08:06 UTC by e
Modified: 2020-04-03 00:51 UTC (History)
9 users (show)

Fixed In Version: blivet-gui-2.1.13-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-03 00:51:32 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.53 MB, text/plain)
2020-01-03 08:06 UTC, e
no flags Details
File: anaconda.log (57.20 KB, text/plain)
2020-01-03 08:06 UTC, e
no flags Details
File: blivet-gui-utils.log (1.18 KB, text/plain)
2020-01-03 08:06 UTC, e
no flags Details
File: dbus.log (2.92 KB, text/plain)
2020-01-03 08:06 UTC, e
no flags Details
File: environ (637 bytes, text/plain)
2020-01-03 08:06 UTC, e
no flags Details
File: lorax-packages.log (25.47 KB, text/plain)
2020-01-03 08:06 UTC, e
no flags Details
File: lsblk_output (5.59 KB, text/plain)
2020-01-03 08:07 UTC, e
no flags Details
File: nmcli_dev_list (3.11 KB, text/plain)
2020-01-03 08:07 UTC, e
no flags Details
File: os_info (691 bytes, text/plain)
2020-01-03 08:07 UTC, e
no flags Details
File: program.log (99.28 KB, text/plain)
2020-01-03 08:07 UTC, e
no flags Details
File: storage.log (510.11 KB, text/plain)
2020-01-03 08:07 UTC, e
no flags Details
File: syslog (391.67 KB, text/plain)
2020-01-03 08:07 UTC, e
no flags Details
File: packaging.log (8.98 KB, text/plain)
2020-01-03 08:07 UTC, e
no flags Details

Description e 2020-01-03 08:06:44 UTC
Description of problem:
I have an existing MD device which contains LUKS data inside.

I clicked the unlock icon on the LUKS formatted MD device. This caused an error.

It seems that blivet doesn't start the existing MD array before it tries to decrypt it and thus raises an error because the MD device does not exist.

Version-Release number of selected component:
anaconda-31.22.6

The following was filed automatically by anaconda:
anaconda 31.22.6 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.7/site-packages/blivet/formats/__init__.py", line 630, in _pre_setup
    raise FormatSetupError("invalid device specification")
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/formats/luks.py", line 251, in _pre_setup
    return super(LUKS, self)._pre_setup(**kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/formats/__init__.py", line 603, in setup
    if not self._pre_setup(**kwargs):
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivetgui/blivet_utils.py", line 1367, in luks_decrypt
    blivet_device.format.setup()
  File "/usr/lib/python3.7/site-packages/blivetgui/osinstall.py", line 80, in remote_call
    return utils_method(*args)
  File "/usr/lib/python3.7/site-packages/blivetgui/blivetgui.py", line 651, in decrypt_device
    ret = self.client.remote_call("luks_decrypt", self.list_partitions.selected_partition[0], response)
blivet.errors.FormatSetupError: invalid device specification

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-31 quiet
dnf.librepo.log: 
executable:     /sbin/anaconda
hashmarkername: anaconda
hawkey.log:     INFO Jan-03 07:52:56 === Started libdnf-0.35.3 ===
kernel:         5.3.7-301.fc31.x86_64
product:        Fedora
release:        Fedora release 31 (Thirty One)
type:           anaconda
version:        31

Potential duplicate: bug 1476544

Comment 1 e 2020-01-03 08:06:49 UTC
Created attachment 1649334 [details]
File: anaconda-tb

Comment 2 e 2020-01-03 08:06:52 UTC
Created attachment 1649335 [details]
File: anaconda.log

Comment 3 e 2020-01-03 08:06:54 UTC
Created attachment 1649336 [details]
File: blivet-gui-utils.log

Comment 4 e 2020-01-03 08:06:55 UTC
Created attachment 1649337 [details]
File: dbus.log

Comment 5 e 2020-01-03 08:06:56 UTC
Created attachment 1649338 [details]
File: environ

Comment 6 e 2020-01-03 08:06:58 UTC
Created attachment 1649339 [details]
File: lorax-packages.log

Comment 7 e 2020-01-03 08:07:00 UTC
Created attachment 1649340 [details]
File: lsblk_output

Comment 8 e 2020-01-03 08:07:02 UTC
Created attachment 1649341 [details]
File: nmcli_dev_list

Comment 9 e 2020-01-03 08:07:03 UTC
Created attachment 1649342 [details]
File: os_info

Comment 10 e 2020-01-03 08:07:05 UTC
Created attachment 1649343 [details]
File: program.log

Comment 11 e 2020-01-03 08:07:09 UTC
Created attachment 1649344 [details]
File: storage.log

Comment 12 e 2020-01-03 08:07:11 UTC
Created attachment 1649345 [details]
File: syslog

Comment 13 e 2020-01-03 08:07:13 UTC
Created attachment 1649346 [details]
File: packaging.log

Comment 14 Vendula Poncova 2020-01-03 12:06:29 UTC
It seems to be an issue in blivet-gui. Reassigning.

Comment 15 Vojtech Trefny 2020-03-26 12:00:30 UTC
upstream PR: https://github.com/storaged-project/blivet-gui/pull/164

Comment 16 Fedora Update System 2020-04-02 10:40:42 UTC
FEDORA-2020-576bd54f42 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-576bd54f42

Comment 17 Fedora Update System 2020-04-03 00:51:32 UTC
FEDORA-2020-576bd54f42 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.